package com.kingdee.eas.custom.bill.salary;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SalaryBagFactory
{
    private SalaryBagFactory()
    {
    }
    public static com.kingdee.eas.custom.bill.salary.ISalaryBag getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.ISalaryBag)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("518DF39C") ,com.kingdee.eas.custom.bill.salary.ISalaryBag.class);
    }
    
    public static com.kingdee.eas.custom.bill.salary.ISalaryBag getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.ISalaryBag)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("518DF39C") ,com.kingdee.eas.custom.bill.salary.ISalaryBag.class, objectCtx);
    }
    public static com.kingdee.eas.custom.bill.salary.ISalaryBag getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.ISalaryBag)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("518DF39C"));
    }
    public static com.kingdee.eas.custom.bill.salary.ISalaryBag getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.ISalaryBag)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("518DF39C"));
    }
}